{ inputs, ... }: {
  flake-file.inputs = {
    aghpb = {
      url = "github:cat-milk/Anime-Girls-Holding-Programming-Books";
      flake = false;
    };
  };

  flake.modules.homeManager.randomized-aghpb-wallpaper = {
    imports = with inputs.self.factory; [
      (wpaperd {
        default = {
          path = inputs.aghpb;
          recursive = true;
          mode = "stretch";
          duration = "5m";
        };
      })
    ];
  };
}
